#include "ISwitchButtonItem.h"
#include <QHBoxLayout>

ISwitchButtonItem::ISwitchButtonItem(std::shared_ptr<ISwitchButton> btn, QLabel* label, SwitchButtonType type)
    : m_pSwitchBtn(btn), m_pDisplayLabel(label), m_type(type)
{

}

void ISwitchButtonItem::setChecked(bool checked)
{
    m_pSwitchBtn->setChecked(checked);
}

std::shared_ptr<ISwitchButton> ISwitchButtonItem::getSwitchButton() const
{
    return m_pSwitchBtn;
}
